Subject: Re: [RFC PATCH] perf/kvm: Guest Symbol Resolution for powerpc

From: David Ahern <[email-masked]>
Date: Tue, 16 Jun 2015 20:27:07 -0600

On 6/16/15 7:24 PM, Hemant Kumar wrote:
> Because, this depends on the kernel tracepoint "kvm_hv:kvm_guest_exit".
> perf_prepare_sample() in the kernel side sets the event->header.misc
> field to
> PERF_RECORD_MISC_KERNEL through perf_misc_flags(pt_regs). In case of
> tracepoints which always get hit in the host kernel context, the
> perf_misc_flags() will always return PERF_RECORD_MISC_KERNEL.
>
> IMHO we will rather have to set the cpumode in the user space for this
> tracepoint
> and we can't depend on the event->header.misc field for this case.
>
> What would you suggest?
>

oh, right you are using a tracepoint for this. It does not have the 
hooks to specify cpumode. Never mind.